package com.ruoyi.interfaces.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.SysCate;

import java.util.List;

/**
 * Created by Administrator on 2017-09-14.
 */
public interface SysCateService {
    /**
     * 插入数据
     *
     * @param sysCate
     * @return
     */
    int insert(SysCate sysCate);

    /**
     * 添加数据
     *
     * @param sysCate
     * @return
     */
    int update(SysCate sysCate);

    /**
     * 删除数据
     *
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * 获取数据
     *
     * @param id
     * @return
     */
    SysCate get(String id);

    List<SysCate> countNum();

    List<SysCate> list(SysCate sysCate);

    PageInfo<SysCate> pageList(PageParam<SysCate> sysCatePageParam);

    List<SysCate> findAll(SysCate sysCate);

    List<SysCate> findAllO(SysCate sysCate);

    SysCate getCateById(String cateCode);

    int updateCateById(SysCate sysCate);

    int deleteCateById(String cateCode);

    int updateStatus(SysCate cate);

    int getCount();

    List<SysCate> listWithCount();
}
